Eclipse Platform Release 3.7

## org.eclipse.ui.views
Interface IViewDescriptor

All Superinterfaces:
  IAdaptable, IWorkbenchPartDescriptor

    public interface IViewDescriptor

extends IWorkbenchPartDescriptor, IAdaptable

This is a view descriptor. It provides a "description" of a given given view so that the view can later be constructed.

The view registry provides facilities to map from an extension to a IViewDescriptor.

This interface is not intended to be implemented by clients.

Since:
  3.1
See Also:
  `IViewRegistry`
Restriction:
  This interface is not intended to be implemented by clients.

Method Summary
`IViewPart` `createView()` Creates an instance of the view defined in the descriptor.
`boolean` `getAllowMultiple()` Returns whether this view allows multiple instances.
`String[]` `getCategoryPath()` Returns an array of strings that represent view's category path.
`String` `getDescription()` Returns the description of this view.
`float` `getFastViewWidthRatio()` Returns the default fast view width ratio for this view.
`String` `getId()` Returns the id of the view.
`ImageDescriptor` `getImageDescriptor()` Returns the descriptor for the icon to show for this view.
`String` `getLabel()` Returns the label to show for this view.
`boolean` `isRestorable()` Returns whether this view can be restored upon workbench restart.

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### createView

    IViewPart createView()
                         throws CoreException

  Creates an instance of the view defined in the descriptor.

  Returns:
    the view part
  Throws:
    `CoreException` - thrown if there is a problem creating the part

### getCategoryPath

    String[] getCategoryPath()

  Returns an array of strings that represent view's category path. This array will be used for hierarchical presentation of the view in places like submenus.

  Returns:
    array of category tokens or null if not specified.

### getDescription

    String getDescription()

  Returns the description of this view.

  Returns:
    the description

### getId

    String getId()

  Returns the id of the view.

  Specified by:
    `getId` in interface `IWorkbenchPartDescriptor`
  Returns:
    the id

### getImageDescriptor

    ImageDescriptor getImageDescriptor()

  Returns the descriptor for the icon to show for this view.

  Specified by:
    `getImageDescriptor` in interface `IWorkbenchPartDescriptor`
  Returns:
    the descriptor of the image to display next to this part

### getLabel

    String getLabel()

  Returns the label to show for this view.

  Specified by:
    `getLabel` in interface `IWorkbenchPartDescriptor`
  Returns:
    the label

### getFastViewWidthRatio

    float getFastViewWidthRatio()

  Returns the default fast view width ratio for this view.

  Returns:
    the fast view width ratio

### getAllowMultiple

    boolean getAllowMultiple()

  Returns whether this view allows multiple instances.

  Returns:
    whether this view allows multiple instances

### isRestorable

    boolean isRestorable()

  Returns whether this view can be restored upon workbench restart.

  Returns:
    whether whether this view can be restored upon workbench restart
  Since:
    3.4

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.